// CUITileUser - [2020-04-13 11:57:47]
#ifndef _CUITILEUSER_H_
#define _CUITILEUSER_H_

#include "common.h"
#include "CUITile.h"
/*
00145F84 CUITileUser::CUITileUser(char *,int,bool,bool)
001466E2 CUITileUser::~CUITileUser()
00146084 CUITileUser::CreateProfileHead()
00146238 CUITileUser::CheckForDownload(int)
001462FC CUITileUser::SetMedalCount()
001463B0 CUITileUser::Render()
001463B8 CUITileUser::RenderBase()
001466BC CUITileUser::Process()
001466C6 CUITileUser::UpdateUserID(wchar_t *)
*/
// sizeof = 1E8
class CUITileUser : public CUITile {
public:
  CUITileUser(char *, int, bool, bool);  // 00145F84
  // virtual ~CUITileUser();                        //001466E2
  void CreateProfileHead();         // 00146084
  void CheckForDownload(int);       // 00146238
  void SetMedalCount();             // 001462FC
  virtual void Render();            // 001463B0
  virtual void RenderBase();        // 001463B8
  virtual EUITileAction Process();  // 001466BC
  void UpdateUserID(wchar_t *);     // 001466C6

  char m_sz_1AC[0x20];
  bool m_b_1CC;
  bool m_b_1CD;
  int8 m_cPicType_1CE;
  int m_iMedals_1D0[5];
  bool m_b_1E4;
};

#endif  //_CUITILEUSER_H_